## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate fedora-update-feedback

# reduce debuginfo verbosity to work around rustc OOM problems on 32-bit arches
%global rustflags_debuginfo 1

Name:           rust-fedora-update-feedback
Version:        2.1.3
Release:        %autorelease
Summary:        Provide feedback for Fedora updates (inspired by fedora-easy-karma)

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/fedora-update-feedback
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Provide feedback for Fedora updates (inspired by fedora-easy-karma).}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 AND MIT
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# nano is the fallback in case no editor is configured
Recommends:     nano

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/fedora-update-feedback
%{bash_completions_dir}/fedora-update-feedback.bash
%{fish_completions_dir}/fedora-update-feedback.fish
%{zsh_completions_dir}/_fedora-update-feedback

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install shell completions
install -Dpm 0644 target/release/build/%{crate}-*/out/fedora-update-feedback.bash \
    %{buildroot}/%{bash_completions_dir}/fedora-update-feedback.bash
install -Dpm 0644 target/release/build/%{crate}-*/out/fedora-update-feedback.fish \
    %{buildroot}/%{fish_completions_dir}/fedora-update-feedback.fish
install -Dpm 0644 target/release/build/%{crate}-*/out/_fedora-update-feedback \
    %{buildroot}/%{zsh_completions_dir}/_fedora-update-feedback

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> 2.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> 2.1.3-2
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Thu Nov 16 2023 Fabio Valentini <decathorpe@gmail.com> 2.1.3-1
- Update to version 2.1.3; Fixes RHBZ#2249695

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> 2.1.2-2
- Rebuild for tokio, h2, and openssl crate security updates

* Mon Apr 10 2023 Fabio Valentini <decathorpe@gmail.com> 2.1.2-1
- Update to version 2.1.2; Fixes RHBZ#2185658

* Sat Mar 18 2023 Fabio Valentini <decathorpe@gmail.com> 2.1.1-1
- Update to version 2.1.1; Fixes RHBZ#2177100

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 2.0.2-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> 2.0.2-1
- Update to version 2.0.2

* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> 2.0.1-1
- Update to version 2.0.1; Fixes RHBZ#2091711

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 2.0.0-3
- Rebuild with package notes

* Tue Feb 01 2022 Fabio Valentini <decathorpe@gmail.com> 2.0.0-2
- Reduce debuginfo verbosity in an attempt to fix armv7hl OOM problems

* Tue Feb 01 2022 Fabio Valentini <decathorpe@gmail.com> 2.0.0-1
- Update to version 2.0.0; Fixes RHBZ#2048856

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Sep 25 2021 Fabio Valentini <decathorpe@gmail.com> 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2007605

* Fri Aug 20 2021 Fabio Valentini <decathorpe@gmail.com> 1.0.4-1
- Update to version 1.0.4; Fixes RHBZ#1991636

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> 1.0.3-1
- Update to version 1.0.3; Fixes RHBZ#1988306

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2.
- Fixes RHBZ#1967520

* Mon Mar 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0.

* Tue Nov 03 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0.

* Sun Aug 30 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5.

* Sun Aug 16 15:01:26 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.4-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.4-1
- Update to version 0.5.4.

* Tue Apr 14 2020 Josh Stone <jistone@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Tue Apr 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2.

* Sun Mar 29 09:52:27 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Fri Mar 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Rebuild for bodhi-rs 0.5.8.

* Sun Mar 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0.

* Thu Mar 05 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-3
- Rebuild for bodhi-rs 0.5.7.

* Sat Feb 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-2
- Rebuild for bodhi-rs 0.5.6.

* Fri Feb 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2.

* Fri Feb 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1.

* Mon Feb 24 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0.

* Wed Feb 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2.

* Mon Feb 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Initial package

